CloudLinux - CloudLinux Blog - Alt-mod-passenger updated
Blog

Alt-mod-passenger updated

Alt-mod-passenger updated

The new updated alt-mod-passenger version 5.1.11-1 for CloudLinux 6 and 7, for EasyApache 4 and httpd24 is available for download from our production repository.

Changelog:

alt-mod-passenger 5.1.11-1

  • ALMODP-91: arbitrary file read vulnerability in passenger;
  • ALMODP-89: made graceful reload Apache instead of restart when alt-mod-passenger install/update;
  • removed dependency from old package which obsoletes ea-apache24-alt_mod_passenger;
  • ALMODP-86: added Node.js language support for alt-mod-passenger.

RPM based and EasyApache 3

For update:

# yum update alt-mod-passenger

To install:

# yum install alt-mod-passenger

httpd24

To update run:

# yum update httpd24-alt-mod-passenger

To install run:

# yum install httpd24-alt-mod-passenger

EasyApache 4

To update:

$ yum update ea-apache24-mod-alt-passenger

To install:

$ yum install ea-apache24-mod-alt-passenger
glibc updated
mod_lsapi updated
 

By accepting you will be accessing a service provided by a third-party external to https://www.cloudlinux.com/